# TODO

version: '3'

services:

  myonion:
    image: goldy/tor-hidden-service
    restart: always
    volumes:
      - ./hidden-services:/var/lib/tor/hidden_service
    environment:
      - SERVICE1_TOR_SERVICE_HOSTS=80:mywww:8080
      - SERVICE1_TOR_SERVICE_VERSION=3

  nginx:
    image: secven/bunkerized
    restart: always
    environment:
      - BLOCK_TOR_EXIT_NODE=no
      - BLOCK_ABUSERS=no
      - BLOCK_PROXIES=no
      - USE_BAD_BEHAVIOR=no
      - USE_DNSBL=no
      - USE_WHITELIST_IP=no
      - USE_WHITELIST_REVERSE=no
      - USE_BLACKLIST_IP=no
      - USE_BLACKLIST_REVERSE=no
      - USE_ANTIBOT=captcha
      - USE_CLIENT_CACHE=yes
      - USE_GZIP=yes
